import { world, ItemDurabilityComponent } from "@minecraft/server"

world.afterEvents.playerBreakBlock.subscribe((data) => {
    const item = data.itemStackAfterBreak
    const player = data.player
    if (player.hasTag("unbreaking")) {
        if (item.hasComponent(ItemDurabilityComponent.componentId)) {
            let damage = item.getComponent(ItemDurabilityComponent.componentId)
            damage.damage = 0
            player.getComponent('equippable').setEquipment('Mainhand', item)
        }
    }
})